// P L I K I    N A G L O W K O W E    
///////////////////////////////////////////
#include <windows.h>

//  D E K L A R A C J E          
///////////////////////////////////////////
LRESULT CALLBACK ProceduraOkna(HWND hWnd, UINT message, 
  WPARAM wParam, LPARAM lParam);

// W I N M A I N            
///////////////////////////////////////////
int WINAPI WinMain(
  HINSTANCE hInstance, HINSTANCE hPrevInstance,
  LPSTR lpCmdLine, int nShowCmd)
{
  // definiujemy klase okna
  WNDCLASSEX wndclassex;

  wndclassex.cbSize = sizeof(WNDCLASSEX);
  wndclassex.style = CS_VREDRAW | CS_HREDRAW;
  wndclassex.lpfnWndProc = ProceduraOkna;
  wndclassex.cbClsExtra = 0;
  wndclassex.cbWndExtra = 0;
  wndclassex.hInstance = hInstance;
  wndclassex.hIcon = LoadIcon(0, (LPCTSTR)IDI_APPLICATION);
  wndclassex.hCursor = LoadCursor(0, (LPCTSTR)IDC_ARROW);
  wndclassex.hbrBackground = (HBRUSH)GetStockObject(WHITE_BRUSH);
  wndclassex.lpszMenuName = 0;
  wndclassex.lpszClassName = "StandardoweOkno";
  wndclassex.hIconSm = LoadIcon(0, (LPCTSTR)IDI_APPLICATION);

  // rejestrujemy klase okna
  RegisterClassEx(&wndclassex);

  // tworzymy okno
  HWND uchwytOkna = 0;

  uchwytOkna = CreateWindowEx(
    0,                   // rozszerzony styl
    "StandardoweOkno",   // nazwa klasy okna
    "Pierwsze okno",     // tekst okna (wyswietlany na belce)
    WS_OVERLAPPEDWINDOW, // standardowe style
    100, 100,            // pozycja lewego gornego narozniak
    400, 300,            // szerokosc i wysokosc 
    0,                   // okno nadrzedne lub rodzic
    0,                   // uchwyt menu
    hInstance,           // uchwyt aplikacji
    0);                  // dodatkowe dane

  // wyswietlamy i odswiezamy okno
  ShowWindow(uchwytOkna, SW_NORMAL);
  UpdateWindow(uchwytOkna);
	
  // petla wiadomosci
  MSG msg;
  for(;;)
  {
    if(0 != GetMessage(&msg, 0, 0, 0))
    {
      TranslateMessage(&msg);
      DispatchMessage(&msg);
    }
    if(msg.message == WM_QUIT) break;
  } 

return (int)msg.wParam;
}

// D E F I N I C J E   F U N K C J I   
///////////////////////////////////////////
LRESULT CALLBACK ProceduraOkna(
  HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{ 
  switch(message)
  {
    case WM_CREATE:
      MessageBox(hWnd, "Za moment wyswietle okno! "
        "Okno zostalo wlasnie utworzone.",
        "informacja", MB_OK | MB_ICONINFORMATION);
      return 0;
    case WM_DESTROY:
      MessageBox(hWnd, "Koniec dzialania programu. "
        "Okno zostalo wlasnie zniszczone.",
        "informacja", MB_OK | MB_ICONINFORMATION);
      PostQuitMessage(0);
      return 0;
  } // koniec switch
  return DefWindowProc(hWnd, message, wParam, lParam);
} 